#include <stdio.h>
int main(){
    float arr[1000];
    float sum=0;
    int n, i, temp, max=0;

    scanf("%d", &n);

    for(i=0; i<n; i++) {
        scanf("%d",&temp);
        if(max<temp) max=temp;
        arr[i] = temp;
    }

    for(i=0; i<n; i++){
        arr[i] = arr[i]/max*100;
        sum += arr[i];
    }

    printf("%f",sum/n);

    return 0;
}